Bug 493782 - anaconda failed to create custom partition layout while installing F11 Beta
anaconda failed to create custom partition layout while installing F11 Beta
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
anaconda_trace_hash:e6cffcb5336f0b09a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 00:16 EDT by Parag Nemade
Modified: 2009-07-29 04:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 04:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (93.49 KB, text/plain)
2009-04-03 00:16 EDT, Parag Nemade
no flags Details

  None (edit)
Description Parag Nemade 2009-04-03 00:16:16 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.38 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/parted/disk.py", line 154, in commit
    return self.__disk.commit()
  File "/usr/lib/anaconda/storage/devices.py", line 789, in commit
    self.partedDisk.commit()
  File "/usr/lib/anaconda/storage/devices.py", line 1130, in create
    self.disk.commit()
  File "/usr/lib/anaconda/storage/deviceaction.py", line 206, in execute
    self.device.create(intf=intf)
  File "/usr/lib/anaconda/storage/devicetree.py", line 659, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 210, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 115, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
IOException: Input/output error during write on /dev/sda
Comment 1 Parag Nemade 2009-04-03 00:16:26 EDT
Created attachment 337975 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2009-04-03 10:08:44 EDT
The following errors from your exception indicate this is not a problem with anaconda.  You are having problems with your hardware, like a drive is getting ready to fail, or there's something wrong with the kernel driver.  I'm reassigning to kernel for now and they can make the determination if it's hardware or not.

<3>ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
<3>ata1.00: cmd ca/00:01:00:00:00/00:00:00:00:00/e0 tag 0 dma 512 out
<3>         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
<3>ata1.00: status: { DRDY }
<4>ata1: link is slow to respond, please be patient (ready=0)
<4>ata1: device not ready (errno=-16), forcing hardreset
<6>ata1: soft resetting link
Comment 3 Parag Nemade 2009-04-29 02:15:26 EDT
I am doing this on F10 with kvm
kernel-2.6.27.19-170.2.35.fc10.i686
virt-manager-0.6.0-5.fc10.i386
Comment 4 Bug Zapper 2009-06-09 09:10:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Parag Nemade 2009-07-29 04:57:22 EDT
Assuming kernel-maintainers are very busy (as no comment received on this bug from them) and I am now running successfully F-11 final release, I would like to close this bug.

Note You need to log in before you can comment on or make changes to this bug.